View Issue Details

IDProjectCategoryView StatusLast Update
0038443LazarusDebuggerpublic2021-02-12 06:10
ReporterChristo Crause Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.1 (SVN) 
Fixed in Version2.2 
Summary0038443: Lazarus debugger error when disassembling code at address 0 (AVR)
DescriptionWhen scrolling the disassembler view up to the start of flash memory for an AVR program, an error is raised. This appears to originate in TDBGDisassemblerEntryMap.AddRange, where a duplicate range gets added to the Map if the RangeStartAddr is 0.

The attached patch works around the issue by checking HasID to ensure a range with a duplicate starting address is not added.

I'm not sure this is a proper solution for the problem though.
TagsNo tags attached.
Fixed in Revision64544
LazTarget2.2
Widgetset
Attached Files

Activities

Christo Crause

2021-02-05 22:19

reporter  

gdbdisassemble-zero.patch (527 bytes)   
diff --git a/components/debuggerintf/dbgintfdebuggerbase.pp b/components/debuggerintf/dbgintfdebuggerbase.pp
index 97545fd170..ec3ab1d5da 100644
--- a/components/debuggerintf/dbgintfdebuggerbase.pp
+++ b/components/debuggerintf/dbgintfdebuggerbase.pp
@@ -5569,7 +5577,10 @@ begin
     exit;
   end;
 
-  Add(ARange.RangeStartAddr, ARange);
+  if not HasId(ARange.RangeStartAddr) then
+    Add(ARange.RangeStartAddr, ARange)
+  else
+    ARange.Free;
 end;
 
 function TDBGDisassemblerEntryMap.GetRangeForAddr(AnAddr: TDbgPtr;

gdbdisassemble-zero.patch (527 bytes)   

Martin Friebe

2021-02-08 04:13

manager   ~0128818

I don't see how that code can be reached.

procedure TDBGDisassemblerEntryMap.AddRange(const ARange: TDBGDisassemblerEntryRange);
begin
....
  MergeRng := GetRangeForAddr(ARange.RangeStartAddr, True);
  if MergeRng <> nil then begin
....
    exit;
  end;

If an existing range, has the same start address, it should be returned as merge-range. But in that case the procedure exits.

That is unless a node was added with a range-end lower than the range-start (as then ContainsAddr would fail)

---------------
If you run with
-dDBG_DISASSEMBLER

You should get logs
debugln(DBG_DISASSEMBLER, ['INFO: TDBGDisassemblerEntryMap.AddRange ', dbgs(ARange), ' to map with count=', Count ]);
that show in which order ranges get added.

Christo Crause

2021-02-08 21:47

reporter   ~0128827

Yes, I was just putting a plaster on the symptom, not fixing the cause of the problem. Looking at some debug logs show that the error may be related to worker threads requesting data before the previous data request has completed. In the attached log (I've added a DBG_RSP class to check RSP communication) one can clearly see instances where several requests are made before the first reply has been read (if the logs show the correct execution order...). Currently this leads to the occasional error where the reply length does not match the expected length. Also heaptrc reports lots of memory leaks, typically with a call to Disassemble close to the top of the call stack.

Attached please find a debug log and the corresponding heaptrc report of a test debug session which ended with a duplicate ID error.

Note the expected pattern for the RSP communication is
RSP -> request
RSP <- response

But there are sequences of requests that are out of sync with replies, such as:
RSP -> m182,20
RSP -> m2204,04
RSP -> m182,20
RSP -> m182,20
RSP -> m182,20
RSP -> m182,20
RSP -> m182,20
LOG_FILE2.txt (130,653 bytes)   
Hint: (lazarus) [TMainIDE.ParseCmdLineOptions] PrimaryConfigPath="/home/christo/.lazarus"
Hint: (lazarus) [TMainIDE.ParseCmdLineOptions] SecondaryConfigPath="/etc/lazarus"
Hint: (lazarus) [TBuildManager.SetBuildTarget] Old=x86_64-linux-gtk2 New=avr-embedded-gtk2 Changed: OS/CPU=True LCL=False
Note: (lazarus) [IsCompilerExecutable] run "/home/christo/fpc/cc/compiler/avr/pp"
Hint: (lazarus) [RunTool] "/home/christo/fpc/cc/compiler/avr/pp" "-va"
----------------
Hint: (lazarus) [TMainIDE.DoRunProject] INIT
### TCodeToolManager.HandleException: [20170421195734] "expected =, but '.eeprom' found" at Line=4 Col=31 in "/home/christo/fpc/fpc-avr/src/tests/section/vartest.pp"
Note: (lazarus) [TMainIDE.DoBuildProject] MainBuildBoss.DoCheckIfProjectNeedsCompilation nothing to be done
INFO: TDBGDisassembler.Clear:  map had count=0
INFO: TDBGDisassembler.Clear:  map had count=0
Hint: (lazarus) [TMainIDE.DoRunProject] Debugger=TFpDebugDebugger
Hint: (lazarus) [TMainIDE.DoRunProject] END
RSP -> vMustReplyEmpty
RSP <- 
RSP -> ?
RSP <- T05hwbreak:;00:00;01:00;02:00;03:00;04:00;05:00;06:00;07:00;08:00;09:00;0A:00;0B:00;0C:00;0D:00;0E:00;0F:00;10:00;11:00;12:00;13:00;14:00;15:00;16:00;17:00;18:00;19:00;1A:00;1B:00;1C:00;1D:00;1E:00;1F:00;20:00;21:0000;22:00000000;
RSP -> m3E,01
RSP <- 0E
RSP -> Z1,003E,00
RSP <- OK
RSP -> c
RSP <- T05hwbreak:;00:00;01:00;02:00;03:00;04:00;05:00;06:00;07:00;08:00;09:00;0A:00;0B:00;0C:00;0D:00;0E:00;0F:00;10:00;11:00;12:00;13:00;14:00;15:00;16:00;17:00;18:00;19:00;1A:58;1B:22;1C:00;1D:22;1E:82;1F:0A;20:02;21:FF80;22:3E000000;
RSP -> m3D,01
RSP <- 00
RSP -> g
RSP <- 000000000000000000000000000000000000000000000000000058220022820a02FF803E000000
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=8 wanted-after=10 in map with count=0
RSP -> m1E,20
RSP <- 05910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
RSP -> m3E,28
RSP <- 0E942B00E0E0F0E0CF010E94F400082E00923E010E9478000E9414050E94FB0008950895CF93DF93
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505838592)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511577936, FirstOfs=12742629 ]] to map with count=0
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m1E,20
RSP <- 05910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
RSP -> m3E,28
RSP <- 0E942B00E0E0F0E0CF010E94F400082E00923E010E9478000E9414050E94FB0008950895CF93DF93
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505237760)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755497577616, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505237760)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755497577616, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505838592)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511577936, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755497577616, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m1E,20
RSP <- 05910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
RSP -> m3E,28
RSP <- 0E942B00E0E0F0E0CF010E94F400082E00923E010E9478000E9414050E94FB0008950895CF93DF93
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505207040)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511577936, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505207040)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511577936, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505838592)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755497577616, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511577936, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m1E,20
RSP <- 05910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
RSP -> m3E,28
RSP <- 0E942B00E0E0F0E0CF010E94F400082E00923E010E9478000E9414050E94FB0008950895CF93DF93
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505230848)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755497577616, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505230848)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755497577616, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505838592)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511577936, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755497577616, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m1E,20
RSP <- 05910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
RSP -> m3E,28
RSP <- 0E942B00E0E0F0E0CF010E94F400082E00923E010E9478000E9414050E94FB0008950895CF93DF93
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505210112)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511577936, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505210112)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511577936, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505838592)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755497577616, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511577936, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m80FF,04
RSP <- 00000000
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=28 wanted-after=5 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
RSP -> m3E,14
RSP <- 0E942B00E0E0F0E0CF010E94F400082E00923E01
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505847040)=[[ Cnt=32, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=72, RLast=72, REnd=139755500971390, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge: Merged to START:   Other=Range(139755505847040)=[[ Cnt=32, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=72, RLast=72, REnd=139755500971390, FirstOfs=12742629 ]]  To other index=19 INTO self=Range(139755505838592)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511577936, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=90, REnd=139755511577936, FirstOfs=12742629 ]]
WARNING: TBaseDisassembler.InternalIncreaseCountAfter will decrease was 9 new=4
INFO: TDBGDisassembler.FindRange: Address found 62 Result=True before=27 after=9 wanted-before=13 wanted-after=5 in map with count=1
INFO: TDBGDisassembler.PrepareRange  found existing data  Addr=62 before=13 After=5
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=27 after=9 wanted-before=28 wanted-after=5 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=27 after=9 wanted-before=47 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755508969472)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155470, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755508969472)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155470, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=90, REnd=139755511577936, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155470, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=47 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=48 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505112576)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155474, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505112576)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155474, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155470, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155474, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=48 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=49 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505116416)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755584971606, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505116416)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755584971606, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155474, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755584971606, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=49 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=50 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505117952)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755584971610, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505117952)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755584971610, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755584971606, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755584971610, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=50 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=51 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505120256)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755584971614, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505120256)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755584971614, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755584971610, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755584971614, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=51 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=52 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755507440640)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755584971618, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755507440640)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755584971618, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755584971614, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755584971618, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=52 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=53 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505125632)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755584971622, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505125632)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755584971622, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755584971618, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755584971622, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=53 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=54 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505126400)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755584971626, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505126400)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755584971626, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755584971622, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755584971626, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=54 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=55 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505121792)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755584971630, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505121792)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755584971630, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755584971626, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755584971630, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=55 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=56 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755506171392)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755584971634, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755506171392)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755584971634, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755584971630, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755584971634, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=56 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=57 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755509209088)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755512857974, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755509209088)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755512857974, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755584971634, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755512857974, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=57 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=58 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505138688)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755512857978, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505138688)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755512857978, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755512857974, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755512857978, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=58 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=59 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755508247808)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755512857982, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755508247808)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755512857982, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755512857978, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755512857982, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=59 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=60 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755504539392)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755512857986, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755504539392)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755512857986, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755512857982, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755512857986, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=60 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=61 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755508868608)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755512857990, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755508868608)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755512857990, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755512857986, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755512857990, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=61 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=62 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755508647680)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755512857994, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755508647680)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755512857994, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755512857990, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755512857994, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=62 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=63 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505155584)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755512857998, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505155584)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755512857998, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755512857994, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755512857998, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=63 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=47 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505164032)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155470, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505164032)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155470, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755512857998, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155470, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=47 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=46 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505169408)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155466, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505169408)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155466, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155470, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155466, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=46 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=45 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505165568)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155462, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505165568)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155462, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155466, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155462, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=45 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=44 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755507421440)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155458, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755507421440)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155458, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155462, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155458, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=44 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=43 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755508620800)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155454, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755508620800)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155454, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155458, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155454, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=43 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=42 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755509309440)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155450, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755509309440)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155450, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155454, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155450, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=42 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=41 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755508336128)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155446, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755508336128)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755541155446, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155450, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155446, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=41 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=40 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505167872)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755513237362, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505167872)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755513237362, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755541155446, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755513237362, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=40 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=39 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755508330752)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755513237358, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755508330752)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755513237358, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755513237362, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755513237358, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=39 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=38 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505110272)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755513237354, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505110272)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755513237354, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755513237358, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755513237354, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=38 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=37 wanted-after=0 in map with count=1
RSP -> m00,3E
RSP <- 0C9404000C94E8001124EFEFEDBFE0E8EEBFA0E0B1E0D1E0E4E4FAE002C005910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505164800)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755513237350, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505164800)=[[ Cnt=27, Capac=40, [0].Addr=0, RFirst=0, [Cnt].Addr=58, RLast=62, REnd=139755513237350, FirstOfs=12742629 ]]  From other index=27 INTO self=Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755513237354, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505838592)=[[ Cnt=37, Capac=37, [0].Addr=0, RFirst=0, [Cnt].Addr=90, RLast=62, REnd=139755513237350, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=37 wanted-after=0 in map with count=1
INFO: TDBGDisassembler.Clear:  map had count=1
RSP -> z1,003E,00
RSP <- OK
RSP -> s
RSP <- T05hwbreak:;00:00;01:00;02:00;03:00;04:00;05:00;06:00;07:00;08:00;09:00;0A:00;0B:00;0C:00;0D:00;0E:00;0F:00;10:00;11:00;12:00;13:00;14:00;15:00;16:00;17:00;18:00;19:00;1A:58;1B:22;1C:00;1D:22;1E:82;1F:0A;20:02;21:FD80;22:56000000;
RSP -> m3E,01
RSP <- 0E
RSP -> Z1,003E,00
RSP <- OK
INFO: TDBGDisassembler.FindRange: Address not found 62 wanted-before=8 wanted-after=10 in map with count=0
RSP -> m1E,20
RSP <- 05910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
RSP -> m3E,28
RSP <- 0E942B00E0E0F0E0CF010E94F400082E00923E010E9478000E9414050E94FB0008950895CF93DF93
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505222400)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755501447280, FirstOfs=12742629 ]] to map with count=0
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m1E,20
RSP <- 05910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
RSP -> m3E,28
RSP <- 0E942B00E0E0F0E0CF010E94F400082E00923E010E9478000E9414050E94FB0008950895CF93DF93
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505136384)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511580240, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505136384)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511580240, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505222400)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755501447280, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505222400)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511580240, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m1E,20
RSP <- 05910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
RSP -> m3E,28
RSP <- 0E942B00E0E0F0E0CF010E94F400082E00923E010E9478000E9414050E94FB0008950895CF93DF93
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755508020992)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755501447280, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755508020992)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755501447280, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505222400)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511580240, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505222400)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755501447280, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m1E,20
RSP <- 05910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
RSP -> m3E,28
RSP <- 0E942B00E0E0F0E0CF010E94F400082E00923E010E9478000E9414050E94FB0008950895CF93DF93
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505115648)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511580240, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505115648)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511580240, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505222400)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755501447280, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505222400)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511580240, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m1E,20
RSP <- 05910D93AE33BD07D9F7AEE3B1E0D2E20C941A001D92A835BD07E1F70C941F00
RSP -> m3E,28
RSP <- 0E942B00E0E0F0E0CF010E94F400082E00923E010E9478000E9414050E94FB0008950895CF93DF93
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505847040)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755501447280, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505847040)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755501447280, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505222400)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511580240, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505222400)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755501447280, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 62 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 86 Result=False before=16 after=1 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 86 Result=False before=16 after=1 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m36,20
RSP -> m2204,04
RSP -> m2204,04
RSP -> m2204,04
RSP -> m2204,04
RSP -> m2204,04
RSP -> m2204,04
TApplication.HandleException: EConvertError
"$8+" is an invalid integer
  Stack trace:
  $0000000000457CA7
  $0000000001570452  FREADREPLY,  line 320 of fpdbgrsp.pas
  $0000000001570610  FSENDCMDWAITFORREPLY,  line 348 of fpdbgrsp.pas
  $0000000001572BE3  READDATA,  line 683 of fpdbgrsp.pas
  $00000000015693F3  READDATA,  line 597 of fpdbgavrclasses.pas
  $00000000015BE137  READDATA,  line 4453 of fpdebugdebugger.pas
  $00000000015B4AC6  PREPAREENTRIES,  line 2630 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C250F4  SETBASEADDR,  line 5285 of dbgintfdebuggerbase.pp
  $0000000000C12C24  DOCHANGED,  line 6955 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C250AF  SETCOUNTAFTER,  line 5277 of dbgintfdebuggerbase.pp
INFO: TDBGDisassembler.Clear:  map had count=1
RSP -> m56,04
RSP -> m56,04
RSP -> m56,04
RSP -> m56,04
RSP -> m56,04
RSP -> m56,04
RSP -> s
RSP -> s
RSP -> s
RSP -> s
RSP -> s
RSP -> s
RSP <- 00000000
RSP <- 00000000
RSP <- 00000000
RSP <- 00000000
RSP <- 00000000
RSP <- 0E941405
RSP <- 0E941405
RSP <- 0E941405
RSP <- 0E941405
RSP <- 0E941405
RSP <- 0E941405
RSP <- T05hwbreak:;00:00;01:00;02:00;03:00;04:00;05:00;06:00;07:00;08:00;09:00;0A:00;0B:00;0C:00;0D:00;0E:00;0F:00;10:00;11:00;12:00;13:00;14:00;15:00;16:00;17:00;18:00;19:00;1A:58;1B:22;1C:00;1D:22;1E:82;1F:0A;20:02;21:FB80;22:280A0000;
RSP -> mA27,01
RSP <- T05hwbreak:;00:00;01:00;02:00;03:00;04:00;05:00;06:00;07:00;08:00;09:00;0A:00;0B:00;0C:00;0D:00;0E:00;0F:00;10:00;11:00;12:22;13:00;14:00;15:00;16:00;17:00;18:00;19:00;1A:58;1B:22;1C:00;1D:22;1E:82;1F:0A;20:02;21:FB80;22:2A0A0000;
INFO: TDBGDisassembler.FindRange: Address not found 86 wanted-before=8 wanted-after=10 in map with count=0
RSP -> m36,20
RSP <- T05hwbreak:;00:00;01:00;02:00;03:00;04:00;05:00;06:00;07:00;08:00;09:00;0A:00;0B:00;0C:00;0D:00;0E:00;0F:00;10:00;11:00;12:22;13:00;14:00;15:00;16:00;17:00;18:00;19:01;1A:58;1B:22;1C:00;1D:22;1E:82;1F:0A;20:02;21:FB80;22:2C0A0000;
Reverse disassemble: Failed to read memory at $0000000000000056.
RSP -> m56,28
RSP <- T05hwbreak:;00:00;01:00;02:00;03:00;04:00;05:00;06:00;07:00;08:00;09:00;0A:00;0B:00;0C:00;0D:00;0E:00;0F:00;10:00;11:00;12:22;13:00;14:00;15:00;16:00;17:00;18:22;19:01;1A:58;1B:22;1C:00;1D:22;1E:82;1F:0A;20:02;21:FB80;22:2E0A0000;
Disassemble: Failed to read memory at $0000000000000056.
INFO: TDBGDisassembler.FindRange: Address not found 2600 wanted-before=8 wanted-after=10 in map with count=0
RSP -> mA08,20
RSP -> m2204,04
RSP -> m2204,04
RSP -> m2204,04
RSP -> m2204,04
RSP -> m2204,04
RSP -> m2204,04
RSP <- T05hwbreak:;00:00;01:00;02:00;03:00;04:00;05:00;06:00;07:00;08:00;09:00;0A:00;0B:00;0C:00;0D:00;0E:00;0F:00;10:00;11:00;12:22;13:00;14:00;16:00;17:00;18:22;19:01;1A:58;1B:22;1C:00;1D:22;1E:82;1F:0A;20:02;21:F980;22:92010000;
Reverse disassemble: Failed to read memory at $0000000000000A28.
RSP -> mA28,28
RSP <- T05hwbreak:;00:00;01:00;02:00;03:00;04:00;05:00;06:00;07:00;08:00;09:00;0A:00;0B:00;0C:00;0D:00;0E:00;0F:00;10:00;11:00;12:22;13:00;14:00;15:00;16:00;17:00;18:22;19:01;1A:58;1B:22;1C:00;1D:22;1E:82;1F:0A;20:02;21:F980;22:94010000;
Disassemble: Failed to read memory at $0000000000000A28.
INFO: TDBGDisassembler.FindRange: Address not found 2600 wanted-before=8 wanted-after=10 in map with count=0
RSP -> mA08,20
RSP <- 95
Reverse disassemble: Failed to read memory at $0000000000000A28.
RSP -> mA28,28
RSP <- BD07E1F70C941F000E942B00E0E0F0E0CF010E94F400082E00923E010E947800
Disassemble: Failed to read memory at $0000000000000A28.
INFO: TDBGDisassembler.Clear:  map had count=0
RSP -> s
RSP <- 0E9414050E94FB0008950895CF93DF93DC01EB01FA011E161F068CF4CA17DB0771F048F0AE0FBF1F
RSP <- 08950E948A030895412D6AE0712D0E944D000895412D68E2712D0E944D000895
RSP <- 00000000
RSP <- 00000000
RSP <- 00000000
RSP <- 00000000
RSP <- 00000000
RSP <- 00000000
RSP <- 22E291E0822F0E94C9008FE391E060910001709101010E9405050895002000000000000000000000
RSP <- 08950E948A030895412D6AE0712D0E944D000895412D68E2712D0E944D000895
RSP <- 22E291E0822F0E94C9008FE391E060910001709101010E9405050895002000000000000000000000
RSP <- T05hwbreak:;00:00;01:00;02:00;03:00;04:00;05:00;06:00;07:00;08:00;09:00;0A:00;0B:00;0C:00;0D:00;0E:00;0F:00;10:00;11:00;12:22;13:18;14:00;15:00;16:00;17:00;18:22;19:01;1A:58;1B:22;1C:00;1D:22;1E:82;1F:0A;20:02;21:F980;22:96010000;
RSP -> m195,01
RSP <- E1
INFO: TDBGDisassembler.FindRange: Address not found 2600 wanted-before=8 wanted-after=10 in map with count=0
RSP -> mA08,20
RSP <- 08950E948A030895412D6AE0712D0E944D000895412D68E2712D0E944D000895
RSP -> mA28,28
RSP <- 22E291E0822F0E94C9008FE391E060910001709101010E9405050895002000000000000000000000
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755585078528)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755497605260, FirstOfs=12742629 ]] to map with count=0
INFO: TDBGDisassembler.FindRange: Address found 2600 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 2600 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> mA08,20
RSP <- 08950E948A030895412D6AE0712D0E944D000895412D68E2712D0E944D000895
RSP -> mA28,28
RSP <- 22E291E0822F0E94C9008FE391E060910001709101010E9405050895002000000000000000000000
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755506166016)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755501447276, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755506166016)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755501447276, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755585078528)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755497605260, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755585078528)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755501447276, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 2600 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 2600 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> mA08,20
RSP <- 08950E948A030895412D6AE0712D0E944D000895412D68E2712D0E944D000895
RSP -> mA28,28
RSP <- 22E291E0822F0E94C9008FE391E060910001709101010E9405050895002000000000000000000000
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505086464)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755497605260, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505086464)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755497605260, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755585078528)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755501447276, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755585078528)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755497605260, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 2600 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 2600 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> mA08,20
RSP <- 08950E948A030895412D6AE0712D0E944D000895412D68E2712D0E944D000895
RSP -> mA28,28
RSP <- 22E291E0822F0E94C9008FE391E060910001709101010E9405050895002000000000000000000000
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505058048)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755501447276, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505058048)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755501447276, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755585078528)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755497605260, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755585078528)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755501447276, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 2600 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 2600 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> mA08,20
RSP <- 08950E948A030895412D6AE0712D0E944D000895412D68E2712D0E944D000895
RSP -> mA28,28
RSP <- 22E291E0822F0E94C9008FE391E060910001709101010E9405050895002000000000000000000000
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505069568)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755497605260, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505069568)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755497605260, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755585078528)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755501447276, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755585078528)=[[ Cnt=18, Capac=20, [0].Addr=2580, RFirst=2580, [Cnt].Addr=2626, RLast=2626, REnd=139755497605260, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 2600 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 406 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m176,20
RSP -> m2204,04
RSP -> m176,20
RSP -> m176,20
RSP -> m176,20
RSP -> m176,20
RSP -> m176,20
Reverse disassemble: Failed to read memory at $0000000000000196.
RSP <- 00920310A8000920600B800092701809100190905010947D00282F38E1
RSP -> m196,28
RSP <- 00000000
Disassemble: Failed to read memory at $0000000000000196.
INFO: TDBGDisassembler.FindRange: Address not found 406 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m176,20
RSP <- 009203010A80009206010B800092070180910401909105010E947D00282F38E1
RSP -> m196,28
RSP <- 009203010A80009206010B800092070180910401909105010E947D00282F38E1
Disassemble: Failed to read memory at $0000000000000196.
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755585050624)=[[ Cnt=8, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=404, RLast=0, REnd=139755505157142, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 406 wanted-before=8 wanted-after=10 in map with count=2
INFO: TDBGDisassembler.Clear:  map had count=2
RSP -> s
RSP <- 009203010A80009206010B800092070180910401909105010E947D00282F38E1
RSP <- 009203010A80009206010B800092070180910401909105010E947D00282F38E1
RSP <- 009203010A80009206010B800092070180910401909105010E947D00282F38E1
RSP <- E22FF92F28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F90
RSP <- 009203010A80009206010B800092070180910401909105010E947D00282F38E1
RSP <- E22FF92F28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F90
RSP <- T05hwbreak:;00:00;01:00;02:00;03:00;04:00;05:00;06:00;07:00;08:00;09:00;0A:00;0B:00;0C:00;0D:00;0E:00;0F:00;10:00;11:00;12:22;13:18;14:00;15:00;16:00;17:00;18:22;19:01;1A:58;1B:22;1C:00;1D:22;1E:22;1F:0A;20:02;21:F980;22:98010000;
RSP -> m197,01
RSP <- 2F
INFO: TDBGDisassembler.FindRange: Address not found 406 wanted-before=8 wanted-after=10 in map with count=0
RSP -> m176,20
RSP <- 009203010A80009206010B800092070180910401909105010E947D00282F38E1
RSP -> m196,28
RSP <- E22FF92F28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F90
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505881600)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755497610436, FirstOfs=12742629 ]] to map with count=0
INFO: TDBGDisassembler.FindRange: Address found 406 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 406 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m176,20
RSP <- 009203010A80009206010B800092070180910401909105010E947D00282F38E1
RSP -> m196,28
RSP <- E22FF92F28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F90
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755504539392)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755501447268, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755504539392)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755501447268, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505881600)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755497610436, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505881600)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755501447268, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 406 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 406 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m176,20
RSP <- 009203010A80009206010B800092070180910401909105010E947D00282F38E1
RSP -> m196,28
RSP <- E22FF92F28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F90
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505082624)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755497610436, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505082624)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755497610436, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505881600)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755501447268, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505881600)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755497610436, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 406 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 406 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m176,20
RSP <- 009203010A80009206010B800092070180910401909105010E947D00282F38E1
RSP -> m196,28
RSP <- E22FF92F28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F90
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505540608)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755501447268, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505540608)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755501447268, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505881600)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755497610436, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505881600)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755501447268, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 406 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 406 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m176,20
RSP <- 009203010A80009206010B800092070180910401909105010E947D00282F38E1
RSP -> m196,28
RSP <- E22FF92F28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F90
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505026304)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755497610436, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505026304)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755497610436, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505881600)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755501447268, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505881600)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755497610436, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 406 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 408 Result=False before=9 after=8 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 408 Result=False before=9 after=8 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m178,20
RSP -> m2204,04
RSP -> m178,20
RSP -> m178,20
RSP -> m178,20
RSP -> m178,20
RSP <- 03010A80009206010B8000920718091040190915010E94700282F38E122F
RSP <- 00000000
Reverse disassemble: Failed to read memory at $0000000000000198.
RSP -> m198,28
RSP <- 03010A80009206010B800092070180910401909105010E947D00282F38E1E22F
Disassemble: Failed to read memory at $0000000000000198.
INFO: TDBGDisassembler.FindRange: Address found 408 Result=False before=9 after=8 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m178,20
RSP <- 03010A80009206010B800092070180910401909105010E947D00282F38E1E22F
RSP -> m198,28
RSP <- 03010A80009206010B800092070180910401909105010E947D00282F38E1E22F
Disassemble: Failed to read memory at $0000000000000198.
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505214720)=[[ Cnt=8, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=406, RLast=0, REnd=139755505099544, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505214720)=[[ Cnt=8, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=406, RLast=0, REnd=139755505099544, FirstOfs=12742629 ]]  From other index=8 INTO self=Range(139755505881600)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=424, REnd=139755497610436, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505881600)=[[ Cnt=18, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=424, RLast=0, REnd=139755505099544, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 408 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 408 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m178,20
RSP <- 03010A80009206010B800092070180910401909105010E947D00282F38E1E22F
RSP -> m198,28
RSP <- F92F28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F900895
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505871616)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608132, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassembler.FindRange: Address found 408 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
INFO: TDBGDisassembler.FindRange: Address found 408 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
RSP -> m178,20
RSP <- 03010A80009206010B800092070180910401909105010E947D00282F38E1E22F
RSP -> m198,28
RSP <- F92F28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F900895
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505103360)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608996, FirstOfs=12742629 ]] to map with count=2
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505103360)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608996, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505871616)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608132, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505871616)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608996, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 408 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
INFO: TDBGDisassembler.FindRange: Address found 408 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
RSP -> m178,20
RSP <- 03010A80009206010B800092070180910401909105010E947D00282F38E1E22F
RSP -> m198,28
RSP <- F92F28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F900895
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505025536)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608132, FirstOfs=12742629 ]] to map with count=2
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505025536)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608132, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505871616)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608996, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505871616)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608132, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 408 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
INFO: TDBGDisassembler.FindRange: Address found 408 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
RSP -> m178,20
RSP <- 03010A80009206010B800092070180910401909105010E947D00282F38E1E22F
RSP -> m198,28
RSP <- F92F28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F900895
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505562880)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608996, FirstOfs=12742629 ]] to map with count=2
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505562880)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608996, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505871616)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608132, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505871616)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608996, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 408 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
INFO: TDBGDisassembler.FindRange: Address found 408 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
RSP -> m178,20
RSP <- 03010A80009206010B800092070180910401909105010E947D00282F38E1E22F
RSP -> m198,28
RSP <- F92F28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F900895
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505087232)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608132, FirstOfs=12742629 ]] to map with count=2
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505087232)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608132, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505871616)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608996, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505871616)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608132, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 408 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
RSP -> m178,20
RSP <- 03010A80009206010B800092070180910401909105010E947D00282F38E1E22F
RSP -> m198,28
RSP <- F92F28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F900895
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505091072)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608996, FirstOfs=12742629 ]] to map with count=2
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505091072)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608996, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505871616)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608132, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505871616)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608996, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 408 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
INFO: TDBGDisassembler.FindRange: Address found 408 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
RSP -> m178,20
RSP <- 03010A80009206010B800092070180910401909105010E947D00282F38E1E22F
RSP -> m198,28
RSP <- F92F28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F900895
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755504852736)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608132, FirstOfs=12742629 ]] to map with count=2
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755504852736)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608132, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505871616)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608996, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505871616)=[[ Cnt=18, Capac=20, [0].Addr=384, RFirst=384, [Cnt].Addr=426, RLast=426, REnd=139755497608132, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 408 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
INFO: TDBGDisassembler.Clear:  map had count=2
RSP -> m198,04
RSP <- 03010A80009206010B800092070180910401909105010E947D00282F38E1E22F
RSP -> s
RSP <- F92F28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F900895
RSP <- 03010A80009206010B800092070180910401909105010E947D00282F38E1E22F
RSP <- F92F28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F900895
RSP <- F92F28E0
RSP <- T05hwbreak:;00:00;01:00;02:00;03:00;04:00;05:00;06:00;07:00;08:00;09:00;0A:00;0B:00;0C:00;0D:00;0E:00;0F:00;10:00;11:00;12:22;13:18;14:00;15:00;16:00;17:00;18:22;19:01;1A:58;1B:22;1C:00;1D:22;1E:22;1F:01;20:02;21:F980;22:9A010000;
RSP -> m199,01
RSP <- 2F
INFO: TDBGDisassembler.FindRange: Address not found 410 wanted-before=8 wanted-after=10 in map with count=0
RSP -> m17A,20
RSP -> m2204,04
RSP -> m17A,20
RSP -> m17A,20
RSP -> m17A,20
RSP -> m17A,20
RSP -> m17A,20
Reverse disassemble: Failed to read memory at $000000000000019A.
RSP -> m19A,28
RSP -> m19A,28
RSP -> m19A,28
RSP -> m19A,28
RSP <- 0A000906010800090701891040909105010E947D00282F3E1E22FF2F6E00000000
RSP <- +$0A80009206010B800092070180910401909105010E947D00282F38E1E22FF92F
Disassemble: Failed to read memory at $000000000000019A.
INFO: TDBGDisassembler.FindRange: Address not found 410 wanted-before=8 wanted-after=10 in map with count=0
RSP -> m17A,20
RSP <- 0A80009206010B800092070180910401909105010E947D00282F38E1E22FF92F
RSP -> m19A,28
RSP <- 0A80009206010B800092070180910401909105010E947D00282F38E1E22FF92F
Disassemble: Failed to read memory at $000000000000019A.
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505090304)=[[ Cnt=8, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=408, RLast=0, REnd=139755505066520, FirstOfs=12742629 ]] to map with count=0
INFO: TDBGDisassembler.FindRange: Address not found 410 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.Clear:  map had count=1
RSP -> s
RSP <- 0A80009206010B800092070180910401909105010E947D00282F38E1E22FF92F
RSP <- 0A80009206010B800092070180910401909105010E947D00282F38E1E22FF92F
RSP <- 28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94
RSP <- 28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94
RSP <- 28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94
RSP <- 28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94
RSP <- 0A80009206010B800092070180910401909105010E947D00282F38E1E22FF92F
RSP <- 28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94
RSP <- T05hwbreak:;00:00;01:00;02:00;03:00;04:00;05:00;06:00;07:00;08:00;09:00;0A:00;0B:00;0C:00;0D:00;0E:00;0F:00;10:00;11:00;12:08;13:18;14:00;15:00;16:00;17:00;18:22;19:01;1A:58;1B:22;1C:00;1D:22;1E:22;1F:01;20:02;21:F980;22:9C010000;
RSP -> m19B,01
RSP <- E0
INFO: TDBGDisassembler.FindRange: Address not found 410 wanted-before=8 wanted-after=10 in map with count=0
RSP -> m17A,20
RSP <- 0A80009206010B800092070180910401909105010E947D00282F38E1E22FF92F
RSP -> m19A,28
RSP <- 28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505562880)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497574724, FirstOfs=12742629 ]] to map with count=0
INFO: TDBGDisassembler.FindRange: Address found 410 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 410 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17A,20
RSP <- 0A80009206010B800092070180910401909105010E947D00282F38E1E22FF92F
RSP -> m19A,28
RSP <- 28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505157120)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497608996, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505157120)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497608996, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505562880)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497574724, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505562880)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497608996, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 410 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 410 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17A,20
RSP <- 0A80009206010B800092070180910401909105010E947D00282F38E1E22FF92F
RSP -> m19A,28
RSP <- 28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505081856)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497574724, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505081856)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497574724, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505562880)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497608996, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505562880)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497574724, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 410 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 410 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17A,20
RSP <- 0A80009206010B800092070180910401909105010E947D00282F38E1E22FF92F
RSP -> m19A,28
RSP <- 28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755504952576)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497608996, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755504952576)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497608996, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505562880)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497574724, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505562880)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497608996, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 410 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 410 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17A,20
RSP <- 0A80009206010B800092070180910401909105010E947D00282F38E1E22FF92F
RSP -> m19A,28
RSP <- 28E041E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755584337664)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497574724, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755584337664)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497574724, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505562880)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497608996, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505562880)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497574724, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 410 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=9 after=8 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=9 after=8 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17C,20
RSP <- 009206010B800092070180910401909105010E947D00282F38E1E22FF92F28E0
RSP -> m19C,28
RSP <- 41E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E200
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755508461568)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497602086, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755508461568)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497602086, FirstOfs=12742629 ]]  From other index=17 INTO self=Range(139755505562880)=[[ Cnt=18, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=428, RLast=428, REnd=139755497574724, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505562880)=[[ Cnt=19, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=430, RLast=430, REnd=139755497602086, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17C,20
RSP <- 009206010B800092070180910401909105010E947D00282F38E1E22FF92F28E0
RSP -> m19C,28
RSP <- 41E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E200
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505115648)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497567814, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505115648)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497567814, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505562880)=[[ Cnt=19, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=430, RLast=430, REnd=139755497602086, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505562880)=[[ Cnt=19, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=430, RLast=430, REnd=139755497567814, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17C,20
RSP <- 009206010B800092070180910401909105010E947D00282F38E1E22FF92F28E0
RSP -> m19C,28
RSP <- 41E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E200
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505545984)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497602086, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505545984)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497602086, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505562880)=[[ Cnt=19, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=430, RLast=430, REnd=139755497567814, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505562880)=[[ Cnt=19, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=430, RLast=430, REnd=139755497602086, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17C,20
RSP <- 009206010B800092070180910401909105010E947D00282F38E1E22FF92F28E0
RSP -> m19C,28
RSP <- 41E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E200
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755506358784)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497602086, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755506358784)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497602086, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505562880)=[[ Cnt=19, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=430, RLast=430, REnd=139755497602086, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505562880)=[[ Cnt=19, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=430, RLast=430, REnd=139755497602086, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17C,20
RSP <- 009206010B800092070180910401909105010E947D00282F38E1E22FF92F28E0
RSP -> m19C,28
RSP <- 41E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E200
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755508624640)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755501447270, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755508624640)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755501447270, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505562880)=[[ Cnt=19, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=430, RLast=430, REnd=139755497602086, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505562880)=[[ Cnt=19, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=430, RLast=430, REnd=139755501447270, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17C,20
RSP <- 009206010B800092070180910401909105010E947D00282F38E1E22FF92F28E0
RSP -> m19C,28
RSP <- 41E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E200
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755584532992)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497602086, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755584532992)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497602086, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505562880)=[[ Cnt=19, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=430, RLast=430, REnd=139755501447270, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505562880)=[[ Cnt=19, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=430, RLast=430, REnd=139755497602086, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17C,20
RSP <- 009206010B800092070180910401909105010E947D00282F38E1E22FF92F28E0
RSP -> m19C,28
RSP <- 41E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E200
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755506359552)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755501447270, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755506359552)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755501447270, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755505562880)=[[ Cnt=19, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=430, RLast=430, REnd=139755497602086, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755505562880)=[[ Cnt=19, Capac=20, [0].Addr=386, RFirst=386, [Cnt].Addr=430, RLast=430, REnd=139755501447270, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m2204,04
RSP <- 00000000
INFO: TDBGDisassembler.Clear:  map had count=1
RSP -> m19C,04
RSP <- 41E0A22F
RSP -> s
RSP <- T05hwbreak:;00:00;01:00;02:00;03:00;04:00;05:00;06:00;07:00;08:00;09:00;0A:00;0B:00;0C:00;0D:00;0E:00;0F:00;10:00;11:00;12:08;13:18;14:01;15:00;16:00;17:00;18:22;19:01;1A:58;1B:22;1C:00;1D:22;1E:22;1F:01;20:02;21:F980;22:9E010000;
RSP -> m19D,01
RSP <- E0
INFO: TDBGDisassembler.FindRange: Address not found 412 wanted-before=8 wanted-after=10 in map with count=0
RSP -> m17C,20
RSP <- 009206010B800092070180910401909105010E947D00282F38E1E22FF92F28E0
RSP -> m19C,28
RSP <- 41E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E200
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755509069312)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497601510, FirstOfs=12742629 ]] to map with count=0
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17C,20
RSP <- 009206010B800092070180910401909105010E947D00282F38E1E22FF92F28E0
RSP -> m19C,28
RSP <- 41E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E200
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755507520000)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497608998, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755507520000)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497608998, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755509069312)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497601510, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755509069312)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497608998, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17C,20
RSP <- 009206010B800092070180910401909105010E947D00282F38E1E22FF92F28E0
RSP -> m19C,28
RSP <- 41E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E200
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505093376)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497601510, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505093376)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497601510, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755509069312)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497608998, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755509069312)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497601510, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17C,20
RSP <- 009206010B800092070180910401909105010E947D00282F38E1E22FF92F28E0
RSP -> m19C,28
RSP <- 41E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E200
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505128704)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497608998, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505128704)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497608998, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755509069312)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497601510, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755509069312)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497608998, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17C,20
RSP <- 009206010B800092070180910401909105010E947D00282F38E1E22FF92F28E0
RSP -> m19C,28
RSP <- 41E0A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E200
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755504955648)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497601510, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755504955648)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497601510, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755509069312)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497608998, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755509069312)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497601510, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 412 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=9 after=8 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=9 after=8 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17E,20
RSP -> m2204,04
RSP -> m17E,20
RSP -> m17E,20
RSP -> m17E,20
RSP -> m17E,20
RSP <- 06010B800092070180910401909105010E947D0028F38E1E22F92F2E0410
RSP <- 00000000
Reverse disassemble: Failed to read memory at $000000000000019E.
RSP -> m19E,28
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
Disassemble: Failed to read memory at $000000000000019E.
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=9 after=8 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17E,20
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
RSP -> m19E,28
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
Disassemble: Failed to read memory at $000000000000019E.
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505171712)=[[ Cnt=8, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=412, RLast=0, REnd=139755508331548, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505171712)=[[ Cnt=8, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=412, RLast=0, REnd=139755508331548, FirstOfs=12742629 ]]  From other index=8 INTO self=Range(139755509069312)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=430, REnd=139755497601510, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755509069312)=[[ Cnt=18, Capac=20, [0].Addr=390, RFirst=390, [Cnt].Addr=430, RLast=0, REnd=139755508331548, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 414 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 414 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17E,20
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
RSP -> m19E,28
RSP <- A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E2000090
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755508586240)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497593448, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
RSP -> m17E,20
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
RSP -> m19E,28
RSP <- A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E2000090
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755504976384)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]] to map with count=2
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755504976384)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755508586240)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497593448, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508586240)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
RSP -> m17E,20
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
RSP -> m19E,28
RSP <- A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E2000090
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755504964096)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497593448, FirstOfs=12742629 ]] to map with count=2
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755504964096)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497593448, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755508586240)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508586240)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497593448, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
RSP -> m17E,20
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
RSP -> m19E,28
RSP <- A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E2000090
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505913088)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]] to map with count=2
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505913088)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755508586240)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497593448, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508586240)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
RSP -> m17E,20
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
RSP -> m19E,28
RSP <- A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E2000090
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505526016)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497593448, FirstOfs=12742629 ]] to map with count=2
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505526016)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497593448, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755508586240)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508586240)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497593448, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
RSP -> m17E,20
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
RSP -> m19E,28
RSP <- A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E2000090
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755584558848)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]] to map with count=2
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755584558848)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755508586240)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497593448, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508586240)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
RSP -> m17E,20
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
RSP -> m19E,28
RSP <- A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E2000090
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505516800)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497593448, FirstOfs=12742629 ]] to map with count=2
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505516800)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497593448, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755508586240)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508586240)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497593448, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=2
INFO: TDBGDisassembler.Clear:  map had count=2
RSP -> m19E,04
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
RSP -> s
RSP <- A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E2000090
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
RSP <- A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E2000090
RSP <- A22FB42F
RSP <- T05hwbreak:;00:00;01:00;02:00;03:00;04:00;05:00;06:00;07:00;08:00;09:00;0A:00;0B:00;0C:00;0D:00;0E:00;0F:00;10:00;11:00;12:08;13:18;14:01;15:00;16:00;17:00;18:22;19:01;1A:08;1B:22;1C:00;1D:22;1E:22;1F:01;20:02;21:F980;22:A0010000;
RSP -> m19F,01
RSP <- 2F
INFO: TDBGDisassembler.FindRange: Address not found 414 wanted-before=8 wanted-after=10 in map with count=0
RSP -> m17E,20
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
RSP -> m19E,28
RSP <- A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E2000090
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755508780800)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]] to map with count=0
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17E,20
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
RSP -> m19E,28
RSP <- A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E2000090
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505511424)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497609000, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505511424)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497609000, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755508780800)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508780800)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497609000, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17E,20
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
RSP -> m19E,28
RSP <- A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E2000090
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755507187968)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755507187968)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755508780800)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497609000, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508780800)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17E,20
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
RSP -> m19E,28
RSP <- A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E2000090
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755506262016)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497609000, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755506262016)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497609000, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755508780800)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508780800)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497609000, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m17E,20
RSP <- 06010B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0
RSP -> m19E,28
RSP <- A22FB42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E2000090
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755508599296)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755508599296)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755508780800)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497609000, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508780800)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 414 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=9 after=8 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=9 after=8 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m180,20
RSP -> m2204,04
RSP <- 0B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22F
RSP <- 00000000
Reverse disassemble: Failed to read memory at $00000000000001A0.
RSP -> m1A0,28
RSP <- B42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E20000903F21
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755585314304)=[[ Cnt=10, Capac=20, [0].Addr=416, RFirst=416, [Cnt].Addr=438, RLast=438, REnd=139755497620520, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755585314304)=[[ Cnt=10, Capac=20, [0].Addr=416, RFirst=416, [Cnt].Addr=438, RLast=438, REnd=139755497620520, FirstOfs=12742629 ]]  From other index=9 INTO self=Range(139755508780800)=[[ Cnt=18, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=434, RLast=434, REnd=139755497617064, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508780800)=[[ Cnt=19, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=438, RLast=438, REnd=139755497620520, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m180,20
RSP <- 0B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22F
RSP -> m1A0,28
RSP <- B42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E20000903F21
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755504841216)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755504841216)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755508780800)=[[ Cnt=19, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=438, RLast=438, REnd=139755497620520, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508780800)=[[ Cnt=19, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m180,20
RSP <- 0B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22F
RSP -> m1A0,28
RSP <- B42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E20000903F21
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755605566464)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497620520, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755605566464)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497620520, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755508780800)=[[ Cnt=19, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508780800)=[[ Cnt=19, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=438, RLast=438, REnd=139755497620520, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m180,20
RSP <- 0B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22F
RSP -> m1A0,28
RSP <- B42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E20000903F21
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505961728)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505961728)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755508780800)=[[ Cnt=19, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=438, RLast=438, REnd=139755497620520, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508780800)=[[ Cnt=19, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m180,20
RSP <- 0B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22F
RSP -> m1A0,28
RSP <- B42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E20000903F21
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505068800)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497620520, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505068800)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497620520, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755508780800)=[[ Cnt=19, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508780800)=[[ Cnt=19, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=438, RLast=438, REnd=139755497620520, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m180,20
RSP <- 0B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22F
RSP -> m1A0,28
RSP <- B42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E20000903F21
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755508216576)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755508216576)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755508780800)=[[ Cnt=19, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=438, RLast=438, REnd=139755497620520, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508780800)=[[ Cnt=19, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m180,20
RSP <- 0B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22F
RSP -> m1A0,28
RSP <- B42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E20000903F21
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755507822848)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497620520, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755507822848)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497620520, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755508780800)=[[ Cnt=19, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755508780800)=[[ Cnt=19, Capac=20, [0].Addr=394, RFirst=394, [Cnt].Addr=438, RLast=438, REnd=139755497620520, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=9 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.Clear:  map had count=1
RSP -> m1A0,04
RSP <- B42F0190
RSP -> s
RSP <- T05hwbreak:;00:00;01:00;02:00;03:00;04:00;05:00;06:00;07:00;08:00;09:00;0A:00;0B:00;0C:00;0D:00;0E:00;0F:00;10:00;11:00;12:08;13:18;14:01;15:00;16:00;17:00;18:22;19:01;1A:08;1B:01;1C:00;1D:22;1E:22;1F:01;20:02;21:F980;22:A2010000;
RSP -> m1A1,01
RSP <- 2F
INFO: TDBGDisassembler.FindRange: Address not found 416 wanted-before=8 wanted-after=10 in map with count=0
RSP -> m180,20
RSP <- 0B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22F
RSP -> m1A0,28
RSP <- B42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E20000903F21
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755507405056)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]] to map with count=0
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m180,20
RSP <- 0B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22F
RSP -> m1A0,28
RSP <- B42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E20000903F21
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505961728)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497609000, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505961728)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497609000, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755507405056)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755507405056)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497609000, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m180,20
RSP <- 0B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22F
RSP -> m1A0,28
RSP <- B42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E20000903F21
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505097984)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755505097984)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755507405056)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497609000, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755507405056)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m180,20
RSP <- 0B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22F
RSP -> m1A0,28
RSP <- B42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E20000903F21
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755541332224)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497609000, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755541332224)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497609000, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755507405056)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755507405056)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497609000, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m180,20
RSP <- 0B800092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22F
RSP -> m1A0,28
RSP <- B42F01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E20000903F21
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755507628288)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755507628288)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]]  From other index=18 INTO self=Range(139755507405056)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497609000, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755507405056)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address found 416 Result=False before=8 after=9 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 418 Result=False before=9 after=8 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address found 418 Result=False before=9 after=8 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m182,20
RSP -> m2204,04
RSP -> m182,20
RSP -> m182,20
RSP -> m182,20
RSP -> m182,20
RSP -> m182,20
Reverse disassemble: Failed to read memory at $00000000000001A2.
RSP -> m1A2,28
RSP -> m1A2,28
RSP -> m1A2,28
RSP -> m1A2,28
RSP -> m1A2,28
RSP -> m1A2,28
Disassemble: Failed to read memory at $00000000000001A2.
INFO: TDBGDisassembler.FindRange: Address found 418 Result=False before=9 after=8 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m182,20
RSP -> m182,20
RSP <- 0092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22FB42F
RSP -> m1A2,28
RSP <- 0092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22FB42F
Disassemble: Failed to read memory at $00000000000001A2.
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755504957952)=[[ Cnt=8, Capac=20, [0].Addr=402, RFirst=402, [Cnt].Addr=416, RLast=0, REnd=139755505244704, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassemblerEntryRange.Merge to END:   Other=Range(139755504957952)=[[ Cnt=8, Capac=20, [0].Addr=402, RFirst=402, [Cnt].Addr=416, RLast=0, REnd=139755505244704, FirstOfs=12742629 ]]  From other index=8 INTO self=Range(139755507405056)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=438, REnd=139755497606120, FirstOfs=12742629 ]]
INFO: TDBGDisassemblerEntryRange.Merge AFTER MERGE: Range(139755507405056)=[[ Cnt=18, Capac=20, [0].Addr=398, RFirst=398, [Cnt].Addr=438, RLast=0, REnd=139755505244704, FirstOfs=12742629 ]]
INFO: TDBGDisassembler.FindRange: Address not found 418 wanted-before=8 wanted-after=10 in map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 418 wanted-before=8 wanted-after=10 in map with count=1
RSP -> m182,20
RSP <- 0092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22FB42F
RSP -> m1A2,28
RSP <- 0092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22FB42F
Disassemble: Failed to read memory at $00000000000001A2.
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755507822848)=[[ Cnt=8, Capac=20, [0].Addr=402, RFirst=402, [Cnt].Addr=416, RLast=0, REnd=139755507549984, FirstOfs=12742629 ]] to map with count=1
INFO: TDBGDisassembler.FindRange: Address not found 418 wanted-before=8 wanted-after=10 in map with count=2
INFO: TDBGDisassembler.FindRange: Address not found 418 wanted-before=8 wanted-after=10 in map with count=2
RSP -> m182,20
RSP <- 0092070180910401909105010E947D00282F38E1E22FF92F28E041E0A22FB42F
RSP -> m1A2,28
RSP <- 01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E20000903F2101B8
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755507615232)=[[ Cnt=18, Capac=20, [0].Addr=402, RFirst=402, [Cnt].Addr=440, RLast=440, REnd=139755497561192, FirstOfs=12742629 ]] to map with count=2
TApplication.HandleException: EListError
Duplicate ID: 0000000000000192
  Stack trace:
139755378169600!171429:716 Thread-Workitem raised exception: "TFpThreadWorkerCallStackCount[twpStack:2]" => EConvertError: ""$B+" is an invalid integer"
  $000000000070B7F9  ERROR,  line 383 of maps.pp
  $000000000070B468  INTERNALADD,  line 406 of maps.pp
  $000000000070C862  ADD,  line 763 of maps.pp
  $0000000000C26BEB  ADDRANGE,  line 5581 of dbgintfdebuggerbase.pp
  $00000000015B58FC  PREPAREENTRIES,  line 2763 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
RSP -> z1,003E,00
RSP <- 01900D923A95E1F708952F922091100120901101E22FF22D09952F9008950C94E20000903F2101B8
RSP -> k
INFO: TDBGDisassembler.Clear:  map had count=2
INFO: TDBGDisassembler.Clear:  map had count=0
INFO: TDBGDisassembler.Clear:  map had count=0
LAZARUS END - cleaning up ...
FreeFormEditor: FormEditor1=TFormEditor
Hint: (lazarus) [TMainIDE.Destroy] B  -> inherited Destroy... TMainIDE
Hint: (lazarus) [TMainIDE.Destroy] END
LOG_FILE2.txt (130,653 bytes)   
heaptrace2.txt (51,754 bytes)   
Heap dump by heaptrc unit of /home/christo/lazarus/cc/lazarus
1970786 memory blocks allocated : 473894586/480726376
1970741 memory blocks freed     : 473891821/480723488
45 unfreed memory blocks : 2765
True heap size : 9994240
True free heap : 9981920
Should be : 9982712
Call trace for block $00007F1B54E5B100 size 4
  $00000000015693F3  READDATA,  line 597 of fpdbgavrclasses.pas
  $00000000014C90CA  PREPARECALLSTACKENTRYLIST,  line 2838 of fpdbgclasses.pp
  $00000000015ABC15  PREPARECALLSTACKENTRYLIST,  line 1004 of fpdebugdebugger.pas
  $00000000015ABDF7  DOEXECUTE,  line 1028 of fpdebugdebugger.pas
  $00000000015AC4A2  DOEXECUTE,  line 1103 of fpdebugdebugger.pas
  $00000000014FEB1E  EXECUTEINTHREAD,  line 573 of fpdbgutil.pp
  $00000000014FFCF8  EXECUTE,  line 745 of fpdbgutil.pp
  $00000000014FFCF8  EXECUTE,  line 745 of fpdbgutil.pp
  $00000000014FFCF8  EXECUTE,  line 745 of fpdbgutil.pp
  $00000000014FEB1E  EXECUTEINTHREAD,  line 573 of fpdbgutil.pp
  $00000000014FFCF8  EXECUTE,  line 745 of fpdbgutil.pp
Call trace for block $00007F1B62F45220 size 56
  $000000000156F66A  GETINSTRUCTIONINFO,  line 844 of fpdbgdisasavr.pp
  $0000000001533FC7  CHECKFORCALLANDSETBREAK,  line 755 of fpdbgcontroller.pas
  $0000000001534477  INTERNALCONTINUE,  line 800 of fpdbgcontroller.pas
  $0000000001534416  DOCONTINUE,  line 791 of fpdbgcontroller.pas
  $0000000001538C31  PROCESSLOOP,  line 1584 of fpdbgcontroller.pas
  $00000000015AB4FD  DOEXECUTE,  line 924 of fpdebugdebugger.pas
  $00000000014FEB1E  EXECUTEINTHREAD,  line 573 of fpdbgutil.pp
  $00000000014FFCF8  EXECUTE,  line 745 of fpdbgutil.pp
  $00000000015ABC15  PREPARECALLSTACKENTRYLIST,  line 1004 of fpdebugdebugger.pas
  $00000000015ABDF7  DOEXECUTE,  line 1028 of fpdebugdebugger.pas
  $00000000015AC4A2  DOEXECUTE,  line 1103 of fpdebugdebugger.pas
  $00000000014FEB1E  EXECUTEINTHREAD,  line 573 of fpdbgutil.pp
  $00000000014FFCF8  EXECUTE,  line 745 of fpdbgutil.pp
  $00000000014FFCF8  EXECUTE,  line 745 of fpdbgutil.pp
Call trace for block $00007F1B5D639900 size 29
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D6FB5  SETLOCATION,  line 907 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B5D390000 size 36
  $0000000000459510
  $000000000156C0EB  DISASSEMBLE,  line 356 of fpdbgdisasavr.pp
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
Call trace for block $00007F1B5D767700 size 29
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D6FB5  SETLOCATION,  line 907 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B5D3C3A00 size 37
  $0000000000459510
  $000000000156C0EB  DISASSEMBLE,  line 356 of fpdbgdisasavr.pp
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
Call trace for block $00007F1B5D747E00 size 33
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D6FB5  SETLOCATION,  line 907 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B5D71D700 size 38
  $0000000000459510
  $000000000156D59F  DISASSEMBLE,  line 512 of fpdbgdisasavr.pp
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
Call trace for block $00007F1B61F8ED00 size 33
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D6FB5  SETLOCATION,  line 907 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B5D2C5B00 size 39
  $0000000000459510
  $000000000156D59F  DISASSEMBLE,  line 512 of fpdbgdisasavr.pp
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
Call trace for block $00007F1B5D6DFE00 size 29
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D6FB5  SETLOCATION,  line 907 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B5D3A6500 size 32
  $0000000000459510
  $000000000156DEDA  DISASSEMBLE,  line 630 of fpdbgdisasavr.pp
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
Call trace for block $00007F1B5D3C9100 size 29
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D6FB5  SETLOCATION,  line 907 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B620E0500 size 28
  $0000000000459510
  $000000000156CF54  DISASSEMBLE,  line 478 of fpdbgdisasavr.pp
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
Call trace for block $00007F1B5D735F00 size 29
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D6FB5  SETLOCATION,  line 907 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B5D4CCB00 size 33
  $0000000000459510
  $000000000156F24F  DISASSEMBLE,  line 796 of fpdbgdisasavr.pp
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
Call trace for block $00007F1B5D3C3D00 size 29
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D6FB5  SETLOCATION,  line 907 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B5D4EC000 size 32
  $0000000000459510
  $000000000156E2C2  DISASSEMBLE,  line 670 of fpdbgdisasavr.pp
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
Call trace for block $00007F1B5D436700 size 29
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D6FB5  SETLOCATION,  line 907 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B5D48E000 size 34
  $0000000000459510
  $000000000156D8D9  DISASSEMBLE,  line 558 of fpdbgdisasavr.pp
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
Call trace for block $00007F1B5D3DBD00 size 29
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D6FB5  SETLOCATION,  line 907 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B5D4FD100 size 34
  $0000000000459510
  $000000000156DC3D  DISASSEMBLE,  line 597 of fpdbgdisasavr.pp
  $00000000015B54EE  PREPAREENTRIES,  line 2717 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
Call trace for block $00007F1B63200370 size 1136
  $0000000000C25599  SETCAPACITY,  line 5336 of dbgintfdebuggerbase.pp
  $0000000000C2575E  APPEND,  line 5359 of dbgintfdebuggerbase.pp
  $00000000015B526F  PREPAREENTRIES,  line 2696 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
Call trace for block $00007F1B5D3A7700 size 29
  $00000000014C26E6  REVERSEDISASSEMBLE,  line 1517 of fpdbgclasses.pp
  $00000000015B4C79  PREPAREENTRIES,  line 2640 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B5D5C4B00 size 37
  $0000000000459510
  $000000000156C0EB  DISASSEMBLE,  line 356 of fpdbgdisasavr.pp
  $00000000014C26E6  REVERSEDISASSEMBLE,  line 1517 of fpdbgclasses.pp
  $00000000015B4C79  PREPAREENTRIES,  line 2640 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
Call trace for block $00007F1B5D430700 size 29
  $00000000014C26E6  REVERSEDISASSEMBLE,  line 1517 of fpdbgclasses.pp
  $00000000015B4C79  PREPAREENTRIES,  line 2640 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B5D5C6F00 size 37
  $0000000000459510
  $000000000156EF59  DISASSEMBLE,  line 780 of fpdbgdisasavr.pp
  $00000000014C26E6  REVERSEDISASSEMBLE,  line 1517 of fpdbgclasses.pp
  $00000000015B4C79  PREPAREENTRIES,  line 2640 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
Call trace for block $00007F1B5D43D900 size 29
  $00000000014C26E6  REVERSEDISASSEMBLE,  line 1517 of fpdbgclasses.pp
  $00000000015B4C79  PREPAREENTRIES,  line 2640 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B5D65C800 size 37
  $0000000000459510
  $000000000156C0EB  DISASSEMBLE,  line 356 of fpdbgdisasavr.pp
  $00000000014C26E6  REVERSEDISASSEMBLE,  line 1517 of fpdbgclasses.pp
  $00000000015B4C79  PREPAREENTRIES,  line 2640 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
Call trace for block $00007F1B5D585C00 size 29
  $00000000014C26E6  REVERSEDISASSEMBLE,  line 1517 of fpdbgclasses.pp
  $00000000015B4C79  PREPAREENTRIES,  line 2640 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B5D773A00 size 37
  $0000000000459510
  $000000000156C0EB  DISASSEMBLE,  line 356 of fpdbgdisasavr.pp
  $00000000014C26E6  REVERSEDISASSEMBLE,  line 1517 of fpdbgclasses.pp
  $00000000015B4C79  PREPAREENTRIES,  line 2640 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
Call trace for block $00007F1B5D6DF400 size 29
  $00000000014C26E6  REVERSEDISASSEMBLE,  line 1517 of fpdbgclasses.pp
  $00000000015B4C79  PREPAREENTRIES,  line 2640 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B5D3CBB00 size 37
  $0000000000459510
  $000000000156EF59  DISASSEMBLE,  line 780 of fpdbgdisasavr.pp
  $00000000014C26E6  REVERSEDISASSEMBLE,  line 1517 of fpdbgclasses.pp
  $00000000015B4C79  PREPAREENTRIES,  line 2640 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
Call trace for block $00007F1B5D582600 size 29
  $00000000014C26E6  REVERSEDISASSEMBLE,  line 1517 of fpdbgclasses.pp
  $00000000015B4C79  PREPAREENTRIES,  line 2640 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B5D42EC00 size 37
  $0000000000459510
  $000000000156EF59  DISASSEMBLE,  line 780 of fpdbgdisasavr.pp
  $00000000014C26E6  REVERSEDISASSEMBLE,  line 1517 of fpdbgclasses.pp
  $00000000015B4C79  PREPAREENTRIES,  line 2640 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
Call trace for block $00007F1B5D38B200 size 29
  $00000000014C26E6  REVERSEDISASSEMBLE,  line 1517 of fpdbgclasses.pp
  $00000000015B4C79  PREPAREENTRIES,  line 2640 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B5D438200 size 37
  $0000000000459510
  $000000000156C0EB  DISASSEMBLE,  line 356 of fpdbgdisasavr.pp
  $00000000014C26E6  REVERSEDISASSEMBLE,  line 1517 of fpdbgclasses.pp
  $00000000015B4C79  PREPAREENTRIES,  line 2640 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
Call trace for block $00007F1B5D620D00 size 29
  $00000000014C26E6  REVERSEDISASSEMBLE,  line 1517 of fpdbgclasses.pp
  $00000000015B4C79  PREPAREENTRIES,  line 2640 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
Call trace for block $00007F1B61F91700 size 37
  $0000000000459510
  $000000000156C0EB  DISASSEMBLE,  line 356 of fpdbgdisasavr.pp
  $00000000014C26E6  REVERSEDISASSEMBLE,  line 1517 of fpdbgclasses.pp
  $00000000015B4C79  PREPAREENTRIES,  line 2640 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
Call trace for block $00007F1B5D630600 size 48
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
  $0000000000C276F0  DOCHANGED,  line 5699 of dbgintfdebuggerbase.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C24EAF  UNLOCKCHANGED,  line 5239 of dbgintfdebuggerbase.pp
  $0000000000C27648  FINDRANGE,  line 5691 of dbgintfdebuggerbase.pp
  $0000000000C27CDD  PREPARERANGE,  line 5774 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D6FB5  SETLOCATION,  line 907 of ../debugger/assemblerdlg.pp
  $0000000000BEC1D7  DEBUGGERCURRENTLINE,  line 1554 of debugmanager.pas
Call trace for block $00007F1B5CFE44E0 size 112
  $00000000006CA521  INITKEYBOARDTABLES,  line 3466 of gtk2/gtk2proc.inc
  $00000000006C9AFE  GDKKEYMAPCHANGED,  line 2619 of gtk2/gtk2proc.inc
  $00000000006C9AFE  GDKKEYMAPCHANGED,  line 2619 of gtk2/gtk2proc.inc
  $00000000006E6664  GETFONT,  line 937 of gtk2/gtk2devicecontext.inc
  $000000000053431B  SELECTOBJECT,  line 7997 of gtk2/gtk2winapi.inc
  $000000000058C431  SELECTOBJECT,  line 925 of include/winapi.inc
  $00000000006021A3  CREATEFONT,  line 248 of include/canvas.inc
  $0000000000607C1A  REQUIREDSTATE,  line 1714 of include/canvas.inc
  $0000000000607846  GETHANDLE,  line 1605 of include/canvas.inc
  $000000000062AF9D  PAINTBACKGROUND,  line 802 of include/speedbutton.inc
  $0000000000629B7D  MEASUREDRAW,  line 589 of include/speedbutton.inc
  $000000000062AE71  PAINT,  line 790 of include/speedbutton.inc
  $00000000005E1C87  WMPAINT,  line 58 of include/graphiccontrol.inc
  $000000000043157A
  $00000000005D2D3A  PERFORM,  line 1580 of include/control.inc
  $00000000005C1B4F  PAINTCONTROLS,  line 4969 of include/wincontrol.inc
Call trace for block $00007F1B5D487A00 size 32
  $00000000015693F3  READDATA,  line 597 of fpdbgavrclasses.pas
  $00000000015BE137  READDATA,  line 4453 of fpdebugdebugger.pas
  $00000000015B4AC6  PREPAREENTRIES,  line 2630 of fpdebugdebugger.pas
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C250F4  SETBASEADDR,  line 5285 of dbgintfdebuggerbase.pp
  $0000000000C12C24  DOCHANGED,  line 6955 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C250AF  SETCOUNTAFTER,  line 5277 of dbgintfdebuggerbase.pp
  $0000000000C12C0F  DOCHANGED,  line 6954 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C2506F  SETCOUNTBEFORE,  line 5269 of dbgintfdebuggerbase.pp
Call trace for block $00007F1B5D3C9700 size 48
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C250F4  SETBASEADDR,  line 5285 of dbgintfdebuggerbase.pp
  $0000000000C12C24  DOCHANGED,  line 6955 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C250AF  SETCOUNTAFTER,  line 5277 of dbgintfdebuggerbase.pp
  $0000000000C12C0F  DOCHANGED,  line 6954 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C2506F  SETCOUNTBEFORE,  line 5269 of dbgintfdebuggerbase.pp
  $0000000000C12BFB  DOCHANGED,  line 6953 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
Call trace for block $00007F1B5D3CF700 size 48
  $0000000000C27E7E  PREPARERANGE,  line 5780 of dbgintfdebuggerbase.pp
  $0000000000C131F2  PREPARERANGE,  line 7027 of ../debugger/debugger.pp
  $00000000013D5FE0  UPDATEVIEW,  line 717 of ../debugger/assemblerdlg.pp
  $00000000013D429C  DISASSEMBLERCHANGED,  line 502 of ../debugger/assemblerdlg.pp
  $0000000000C12CD5  DOCHANGED,  line 6963 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C250F4  SETBASEADDR,  line 5285 of dbgintfdebuggerbase.pp
  $0000000000C12C24  DOCHANGED,  line 6955 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C250AF  SETCOUNTAFTER,  line 5277 of dbgintfdebuggerbase.pp
  $0000000000C12C0F  DOCHANGED,  line 6954 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C2506F  SETCOUNTBEFORE,  line 5269 of dbgintfdebuggerbase.pp
  $0000000000C12BFB  DOCHANGED,  line 6953 of ../debugger/debugger.pp
  $0000000000C24DE6  CHANGED,  line 5227 of dbgintfdebuggerbase.pp
  $0000000000C12B0D  DISASSEMBLERCHANGED,  line 6928 of ../debugger/debugger.pp
Call trace for block $00007F1B6D3D94C0 size 112
  $00000000006CA521  INITKEYBOARDTABLES,  line 3466 of gtk2/gtk2proc.inc
  $000000000050FFB5  APPINIT,  line 1037 of gtk2/gtk2widgetset.inc
  $0000000000496146  INITIALIZE,  line 479 of include/application.inc
  $000000000041F371  main,  line 125 of lazarus.pp
  $000000000041F371  main,  line 125 of lazarus.pp

heaptrace2.txt (51,754 bytes)   

Martin Friebe

2021-02-09 00:16

manager   ~0128831

From the log
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505838592)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755511577936, FirstOfs=12742629 ]] to map with count=0
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755505237760)=[[ Cnt=18, Capac=20, [0].Addr=42, RFirst=42, [Cnt].Addr=90, RLast=90, REnd=139755497577616, FirstOfs=12742629 ]] to map with count=1

Disassemble: Failed to read memory at $0000000000000196.
INFO: TDBGDisassemblerEntryMap.AddRange Range(139755585050624)=[[ Cnt=8, Capac=20, [0].Addr=380, RFirst=380, [Cnt].Addr=404, RLast=0, REnd=139755505157142, FirstOfs=12742629 ]] to map with count=1


The first 2 entries should be fine, even without your patch. I expect the merge code to detect them.
RFirst=42,
RLast=90,
REnd=... apparently not set. Not sure if that may cause an issue (Should be RLast + size_of_stmt_at_rlast)

But after the error,
RFirst=380,
RLast=0,
effectively a range with a negative size. This should never be added.
 A check for that can be added, but AddRange is probably not ending up to check for all possible other sanity violations. Also this can probably be checked on the caller side?

RLast=0 means that when another RFirst=380 comes in, the 380 is NOT between the lower bound 380 and the upper bound 0 (it as above the upper bound)

Christo Crause

2021-02-09 21:01

reporter   ~0128842

I've added a critical section to the FpDbgRsp unit so that parallel request-response communication is serialized, my initial implementation was not thread safe. This fixed the out of sequence request-response pattern I observed in RSP communication, which also caused the error "Disassemble: Failed to read memory..." because the response received was not always handed to the correct thread (at least that is my interpretation).

This seemed to have improved the stability dramatically, with no more messed up ranges being added to the Range map. Will do more testing to ensure this is robust before making a patch.

This was tested without the HasID hack in the first patch.

Christo Crause

2021-02-11 20:49

reporter   ~0128900

More testing showed that a lot of the problems were indeed caused by multi-thread access to TRspConnection. This lead to a situation where a request can be submitted, then while TRspConnection is waiting for a reply, another thread can also submit a request. By the time the response is received, the executing thread could be different to the original requesting thread, obviously causing trouble.

In the new patch each RSP request enters a critical section and only leaves once a reply has been received. This has fixed many instances of strange behaviour.
rsp-criticalsection.patch (8,963 bytes)   
diff --git a/components/fpdebug/fpdbgrsp.pas b/components/fpdebug/fpdbgrsp.pas
index 5064c33692..37cf1e9b6d 100644
--- a/components/fpdebug/fpdbgrsp.pas
+++ b/components/fpdebug/fpdbgrsp.pas
@@ -66,6 +66,7 @@ type
   private
     FState: integer;
     FStatusEvent: TStatusEvent;
+    fCS: TRTLCriticalSection;
     procedure FSetRegisterCacheSize(sz: cardinal);
     procedure FResetStatusEvent;
     // Blocking
@@ -127,7 +128,7 @@ uses
   {$ENDIF}
 
 var
-  DBG_VERBOSE, DBG_WARNINGS: PLazLoggerLogGroup;
+  DBG_VERBOSE, DBG_WARNINGS, DBG_RSP: PLazLoggerLogGroup;
 
 procedure TRspConnection.FSetRegisterCacheSize(sz: cardinal);
 begin
@@ -230,7 +231,7 @@ begin
   end
   else
   begin
-    DebugLn(DBG_VERBOSE, ['RSP -> ', cmd]);
+    DebugLn(DBG_RSP, ['RSP -> ', cmd]);
   end;
 end;
 
@@ -330,7 +331,7 @@ begin
   end;
 
   //WriteLn('RSP <- ', retval);
-  DebugLn(DBG_VERBOSE, ['RSP <- ', retval]);
+  DebugLn(DBG_RSP, ['RSP <- ', retval]);
 end;
 
 function TRspConnection.FSendCmdWaitForReply(const cmd: string; out reply: string
@@ -385,16 +386,27 @@ end;
 
 procedure TRspConnection.Break();
 begin
-  WriteByte(3);  // Ctrl-C
+  EnterCriticalSection(fCS);
+  try
+    WriteByte(3);  // Ctrl-C
+  finally
+    LeaveCriticalSection(fCS);
+  end;
 end;
 
 function TRspConnection.Kill(): boolean;
 var
   c: char;
 begin
-  result := FSendCommand('k');
-  // Swallow the last ack if send
-  result := FWaitForData(1000);
+  EnterCriticalSection(fCS);
+  try
+    result := FSendCommand('k');
+    // Swallow the last ack if send
+    result := FWaitForData(1000);
+  finally
+    LeaveCriticalSection(fCS);
+  end;
+
   if result then
   begin
     c := char(ReadByte);
@@ -406,7 +418,12 @@ function TRspConnection.Detach(): boolean;
 var
   reply: string;
 begin
-  result := FSendCmdWaitForReply('D', reply);
+  EnterCriticalSection(fCS);
+  try
+    result := FSendCmdWaitForReply('D', reply);
+  finally
+    LeaveCriticalSection(fCS);
+  end;
   result := pos('OK', reply) = 1;
 end;
 
@@ -415,11 +432,13 @@ constructor TRspConnection.Create(const AHost: String; APort: Word;
 begin
   inherited Create(AHost, APort);
   //self.IOTimeout := 1000;  // socket read timeout = 1000 ms
+  InitCriticalSection(fCS);
 end;
 
 destructor TRspConnection.Destroy;
 begin
   inherited;
+  DoneCriticalSection(fCS);
 end;
 
 function TRspConnection.WaitForSignal(out msg: string; out
@@ -434,19 +453,24 @@ begin
   res := false;
   SetLength(registers, 0);
 
-  // False if no data available, e.g. socket is closed
-  if not FWaitForData() then
-  begin
-    msg := '';
-    result := SIGHUP;
-    exit;
-  end;
-
+  EnterCriticalSection(fCS);
   try
-    res := FReadReply(msg);
-  except
-    on E: Exception do
-      DebugLn(DBG_WARNINGS, ['Warning: WaitForSignal exception: ', E.Message]);
+    // False if no data available, e.g. socket is closed
+    if not FWaitForData() then
+    begin
+      msg := '';
+      result := SIGHUP;
+      exit;
+    end;
+
+    try
+      res := FReadReply(msg);
+    except
+      on E: Exception do
+        DebugLn(DBG_WARNINGS, ['Warning: WaitForSignal exception: ', E.Message]);
+    end;
+  finally
+    LeaveCriticalSection(fCS);
   end;
 
   if res then
@@ -531,7 +555,12 @@ function TRspConnection.MustReplyEmpty: boolean;
 var
   reply: string;
 begin
-  FSendCmdWaitForReply('vMustReplyEmpty', reply);
+  EnterCriticalSection(fCS);
+  try
+    FSendCmdWaitForReply('vMustReplyEmpty', reply);
+  finally
+    LeaveCriticalSection(fCS);
+  end;
   result := reply = '';
   if not result then
     DebugLn(DBG_WARNINGS, ['Warning: vMustReplyEmpty command returned unexpected result: ', reply]);
@@ -551,7 +580,12 @@ begin
     wkpExec: cmd := cmd + '1,' + IntToHex(addr, 4) + ',00';
   end;
 
-  result := FSendCmdWaitForReply(cmd, reply);
+  EnterCriticalSection(fCS);
+  try
+    result := FSendCmdWaitForReply(cmd, reply);
+  finally
+    LeaveCriticalSection(fCS);
+  end;
   if result then
     result := pos('OK', reply) > 0;
 end;
@@ -570,7 +604,12 @@ begin
     wkpExec: cmd := cmd + '1,' + IntToHex(addr, 4) + ',00';
   end;
 
-  result := FSendCmdWaitForReply(cmd, reply);
+  EnterCriticalSection(fCS);
+  try
+    result := FSendCmdWaitForReply(cmd, reply);
+  finally
+    LeaveCriticalSection(fCS);
+  end;
   if result then
     result := pos('OK', reply) > 0;
 end;
@@ -578,14 +617,24 @@ end;
 function TRspConnection.Continue(): boolean;
 begin
   DebugLn(DBG_VERBOSE, ['TRspConnection.Continue() called']);
-  result := FSendCommandOK('c');
+  EnterCriticalSection(fCS);
+  try
+    result := FSendCommandOK('c');
+  finally
+    LeaveCriticalSection(fCS);
+  end;
   if not result then
     DebugLn(DBG_WARNINGS, ['Warning: Continue command failure in TRspConnection.Continue()']);
 end;
 
 function TRspConnection.SingleStep(): boolean;
 begin
-  result := FSendCommandOK('s');
+  EnterCriticalSection(fCS);
+  try
+    result := FSendCommandOK('s');
+  finally
+    LeaveCriticalSection(fCS);
+  end;
   if not result then
     DebugLn(DBG_WARNINGS, ['Warning: SingleStep command failure in TRspConnection.SingleStep()']);
 end;
@@ -596,7 +645,12 @@ var
   tmp: qword;
 begin
   cmd := 'p'+IntToHex(ind, 2);
-  result := FSendCmdWaitForReply(cmd, reply);
+  EnterCriticalSection(fCS);
+  try
+    result := FSendCmdWaitForReply(cmd, reply);
+  finally
+    LeaveCriticalSection(fCS);
+  end;
   if result then
   begin
     result := convertHexWithLittleEndianSwap(reply, tmp);
@@ -612,8 +666,12 @@ var
   cmd, reply: string;
 begin
   cmd := 'P'+IntToHex(ind, 2);
-  result := FSendCmdWaitForReply(cmd, reply) and (reply = 'OK');
-
+  EnterCriticalSection(fCS);
+  try
+    result := FSendCmdWaitForReply(cmd, reply) and (reply = 'OK');
+  finally
+    LeaveCriticalSection(fCS);
+  end;
   if not result then
     DebugLn(DBG_WARNINGS, ['Warning: "P" command returned unexpected result: ', reply]);
 end;
@@ -627,8 +685,13 @@ begin
   reply := '';
   setlength(b, sz);
   // Normal receive error, or an error response of the form Exx
-  result := FSendCmdWaitForReply('g', reply) and ((length(reply) > 4) and (reply[1] <> 'E'))
-    and (length(reply) = 2*sz);
+  EnterCriticalSection(fCS);
+  try
+    result := FSendCmdWaitForReply('g', reply) and ((length(reply) > 4) and (reply[1] <> 'E'))
+      and (length(reply) = 2*sz);
+  finally
+    LeaveCriticalSection(fCS);
+  end;
   if Result then
   begin
     //WriteLn('Read registers reply: ', reply);
@@ -665,7 +728,12 @@ begin
   end;
 
   // Normal receive error, or an error number of the form Exx
-  result := FSendCmdWaitForReply(cmd, reply) and (reply = 'OK');
+  EnterCriticalSection(fCS);
+  try
+    result := FSendCmdWaitForReply(cmd, reply) and (reply = 'OK');
+  finally
+    LeaveCriticalSection(fCS);
+  end;
   if not result then
     DebugLn(DBG_WARNINGS, ['Warning: "G" command returned unexpected result: ', reply]);
 end;
@@ -680,7 +748,12 @@ begin
   result := false;
   getmem(buf, ASize);
   cmd := 'm'+IntToHex(AAddress, 2)+',' + IntToHex(ASize, 2);
-  result := FSendCmdWaitForReply(cmd, reply) and (length(reply) = ASize*2);
+  EnterCriticalSection(fCS);
+  try
+    result := FSendCmdWaitForReply(cmd, reply) and (length(reply) = ASize*2);
+  finally
+    LeaveCriticalSection(fCS);
+  end;
   if result then
   begin
     for i := 0 to ASize-1 do
@@ -716,7 +789,12 @@ begin
     inc(pb);
   end;
 
-  result := FSendCmdWaitForReply(cmd, reply) and (reply = 'OK');
+  EnterCriticalSection(fCS);
+  try
+    result := FSendCmdWaitForReply(cmd, reply) and (reply = 'OK');
+  finally
+    LeaveCriticalSection(fCS);
+  end;
   if not result then
     DebugLn(DBG_WARNINGS, ['Warning: "M" command returned unexpected result: ', reply]);
 end;
@@ -725,24 +803,32 @@ function TRspConnection.Init: integer;
 var
   reply: string;
   intRegs: TInitializedRegisters;
+  res: boolean;
 begin
   result := 0;
   reply := '';
-  if not FSendCmdWaitForReply('vMustReplyEmpty', reply) or (reply <> '') then
-  begin
-    DebugLn(DBG_WARNINGS, ['Warning: vMustReplyEmpty command returned unexpected result: ', reply]);
-    exit;
+  EnterCriticalSection(fCS);
+  try
+    if not FSendCmdWaitForReply('vMustReplyEmpty', reply) or (reply <> '') then
+    begin
+      DebugLn(DBG_WARNINGS, ['Warning: vMustReplyEmpty command returned unexpected result: ', reply]);
+      exit;
+    end;
+    res := FSendCommand('?');
+  finally
+    LeaveCriticalSection(fCS);
   end;
 
-  if FSendCommandOK('?') then
+  if res then
   begin
+    // Already wrapped in critical section
     result := WaitForSignal(reply, intRegs);
   end;
-  // TODO: Do something with fresh register information
 end;
 
 initialization
   DBG_VERBOSE := DebugLogger.FindOrRegisterLogGroup('DBG_VERBOSE' {$IFDEF DBG_VERBOSE} , True {$ENDIF} );
   DBG_WARNINGS := DebugLogger.FindOrRegisterLogGroup('DBG_WARNINGS' {$IFDEF DBG_WARNINGS} , True {$ENDIF} );
+  DBG_RSP := DebugLogger.FindOrRegisterLogGroup('DBG_RSP' {$IFDEF DBG_RSP} , True {$ENDIF} );
 end.
 
rsp-criticalsection.patch (8,963 bytes)   

Martin Friebe

2021-02-12 00:18

manager   ~0128903

Thanks, applied.

Christo Crause

2021-02-12 06:10

reporter   ~0128906

Thanks Martin!

Issue History

Date Modified Username Field Change
2021-02-05 22:19 Christo Crause New Issue
2021-02-05 22:19 Christo Crause Status new => assigned
2021-02-05 22:19 Christo Crause Assigned To => Martin Friebe
2021-02-05 22:19 Christo Crause File Added: gdbdisassemble-zero.patch
2021-02-08 04:13 Martin Friebe Note Added: 0128818
2021-02-08 21:47 Christo Crause Note Added: 0128827
2021-02-08 21:47 Christo Crause File Added: LOG_FILE2.txt
2021-02-08 21:47 Christo Crause File Added: heaptrace2.txt
2021-02-09 00:16 Martin Friebe Note Added: 0128831
2021-02-09 21:01 Christo Crause Note Added: 0128842
2021-02-11 20:49 Christo Crause Note Added: 0128900
2021-02-11 20:49 Christo Crause File Added: rsp-criticalsection.patch
2021-02-12 00:18 Martin Friebe Status assigned => resolved
2021-02-12 00:18 Martin Friebe Resolution open => fixed
2021-02-12 00:18 Martin Friebe Fixed in Version => 2.2
2021-02-12 00:18 Martin Friebe Fixed in Revision => 64544
2021-02-12 00:18 Martin Friebe LazTarget => 2.2
2021-02-12 00:18 Martin Friebe Note Added: 0128903
2021-02-12 06:10 Christo Crause Status resolved => closed
2021-02-12 06:10 Christo Crause Note Added: 0128906